UPGRADE YOUR BROWSER

We have detected your current browser version is not the latest one. Xilinx.com uses the latest web technologies to bring you the best online experience possible. Please upgrade to a Xilinx.com supported browser:Chrome, Firefox, Internet Explorer 11, Safari. Thank you!

AR# 21940

7.1i EDK, Simulation Generator - EDK Simulation Library: "Error current ISE version is 7.1.02i; the specified simulation library was compiled with ISE 7.1.03i"

Description

Keywords: COMPEDKLIB, COMPXLIB, SimGen

Urgency: Standard

General Description:
After compiling the EDK and ISE simulation libraries without errors, I start SimGen and receive the following warning message:

"EDK Sim Library: Error current ISE version is 7.1.02i; the specified simulation library was compiled with ISE 7.1.03i"

SimGen does not run and I am returned to the simulation tab of the EDK project options dialog box.

Solution

This is a known issue that will be resolved in EDK 8.1i.

To work around the problem, make sure that you do not use the COMPEDKLIB or COMPXLIB command lines. Always launch the "Simulation Library Compilation Wizard" from within the XPS GUI and use it to compile ISE and EDK libraries. Running the Compilation Wizard from outside the XPS GUI does not fix the problem.
AR# 21940
Date Created 08/17/2005
Last Updated 04/16/2007
Status Archive
Type General Article